Subject: RE: Programming COM interfaces with C++
From: "Araujo, Isaque G." <[email-masked]>
To: "'Mumit Khan'" <[email-masked]>, "Araujo, Isaque G." <[email-masked]>
Cc: "'M. R. Brown'" <[email-masked]>, [email-masked]
Date: Thu, 30 Sep 1999 14:34:02 -0300

Yeah !!!! It works !!!!
My compiler is Mingw32.
Thank you man !

 /H\j                                [email-masked]
(=U=)                                           55-11-3741-3510
 '-'                                Sistema Empresa / SIAL 2000

> -----Original Message-----
> From:	Mumit Khan [SMTP:[email-masked]]
> Sent:	Thursday, September 30, 1999 2:20 PM
> To:	Araujo, Isaque G.
> Cc:	'M. R. Brown'; [email-masked]
> Subject:	Re: Programming COM interfaces with C++ 
> 
> "Araujo, Isaque G." <[email-masked]> writes:
> > Well, I downloaded the files from this site, but when I try to compile,
> it
> > gives:
> > C:\GCC-2.95\src\comexample2>make
> > c++  -c  -Id:/src/w32api/include  -g -fvtable-thunks  cmpnt.cpp -o
> cmpnt.o
> > c++  -c  -Id:/src/w32api/include  -g -fvtable-thunks  guids.cpp -o
> guids.o
> > c++  -c  -Id:/src/w32api/include  -g -fvtable-thunks  registry.cpp -o
> > registry.o
> > 
> > dllwrap --driver-name c++  --dlltool-name dlltool --as as --entry
> > __cygwin_noncy
> > gwin_dll_entry@12 -o cmpnt.dll cmpnt.o guids.o registry.o  \
> >   --def cmpnt.gnu.def -Ld:/src/w32api/lib -lole32 -luuid
> > ld: warning: cannot find entry symbol __cygwin_noncygwin_dll_entry@12;
> > defaultin
> > g to 6e381000
> 
> Are you using Cygwin or Mingw32? It looks like you're using Cygwin
> examples with Mingw32 compiler.
> 
> I just realized that the GNU Makefile was written for Cygwin and 
> won't work with Mingw32. To make it work with Mingw32, *remove*
> the `--entry __cygwin_noncygwin_dll_entry@12' from the DLLWRAP_FLAGS
> variable and rebuild.
> 
> Mumit

--
Want to unsubscribe from this list?
Send a message to [email-masked]